package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.DilVersion;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface DilVersionMapper extends IBaseMapper<DilVersion, BigDecimal> {

    //查询最大主键
    @Select("select max(DV.VERSION_ID) + 1 from DIL_VERSION")
    BigDecimal selectMaxId();

    //查询最新的版本号
    String compareVersion();

    //查询版本号是否已存在
    Integer getVersionId(String version);
}